
Foreman - Bug #29467

ACE Editor instances have a massive drift between blinking cursor and actual insertion point

04/03/2020 10:44 AM - Harald Linden

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Setting to replicate:

Foreman 1.24.2

Katello 3.14.1

Client:

Ubuntu 18.04 with standard Gnome-Desktop

Firefox 74.0

Chromium 80.0.3987.149

Problem: The further right a cursor is in a line, the less accurate the position of the cursor vs. the actually edited position. This is off

by several characters in a <80 chars line. See attached screencast. This affects Chromium and Firefox as clients.

Expected behaviour: Insertion should happen where the cursor is blinking.

Related issues:

Is duplicate of Foreman - Bug #29344: Position of text cursor in ace-editor w... Closed

History

#1 - 04/05/2020 01:22 PM - Tomer Brisker

- Status changed from New to Duplicate

Thanks for reporting! This has been resolved in #29344

#2 - 04/05/2020 01:22 PM - Tomer Brisker

- Is duplicate of Bug #29344: Position of text cursor in ace-editor wrong added

Files

foreman_cursor_drift.webm 544 KB 04/03/2020 Harald Linden
